Bug 1309079 - [abrt] gnote: _gtk_widget_get_parent(): gnote killed by SIGSEGV
[abrt] gnote: _gtk_widget_get_parent(): gnote killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnote (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:5b5a717cae6106e83e73bd221e8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 14:13 EST by rickylee_nju
Modified: 2017-08-08 09:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:03:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (31.87 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: cgroup (232 bytes, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: core_backtrace (9.85 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: dso_list (10.92 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: environ (1.36 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: exploitable (82 bytes, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: limits (1.29 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: maps (54.68 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: mountinfo (3.11 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: namespaces (85 bytes, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: open_fds (1.49 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details
File: var_log_messages (301 bytes, text/plain)
2016-02-16 14:13 EST, rickylee_nju
no flags Details

  None (edit)
Description rickylee_nju 2016-02-16 14:13:05 EST
Version-Release number of selected component:
gnote-3.19.0-3.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        gnote
crash_function: _gtk_widget_get_parent
executable:     /usr/bin/gnote
global_pid:     3435
kernel:         4.5.0-0.rc4.git0.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _gtk_widget_get_parent at gtkwidgetprivate.h:308
 #1 gtk_window_set_focus at gtkwindow.c:2570
 #2 gtk_window_dispose at gtkwindow.c:3113
 #3 gtk_application_window_dispose at gtkapplicationwindow.c:795
 #5 gtk_widget_destroy at gtkwidget.c:4710
 #6 Gtk::Window::_release_c_instance at window.cc:107
 #7 Gtk::Window::destroy_ at window.cc:82
 #8 Gtk::Window::~Window at window.cc:399
 #9 gnote::MainWindow::~MainWindow at mainwindow.hpp:31
 #10 gnote::NoteRecentChanges::~NoteRecentChanges at recentchanges.cpp:130
Comment 1 rickylee_nju 2016-02-16 14:13:09 EST
Created attachment 1127682 [details]
File: backtrace
Comment 2 rickylee_nju 2016-02-16 14:13:10 EST
Created attachment 1127683 [details]
File: cgroup
Comment 3 rickylee_nju 2016-02-16 14:13:11 EST
Created attachment 1127684 [details]
File: core_backtrace
Comment 4 rickylee_nju 2016-02-16 14:13:12 EST
Created attachment 1127685 [details]
File: dso_list
Comment 5 rickylee_nju 2016-02-16 14:13:13 EST
Created attachment 1127686 [details]
File: environ
Comment 6 rickylee_nju 2016-02-16 14:13:15 EST
Created attachment 1127687 [details]
File: exploitable
Comment 7 rickylee_nju 2016-02-16 14:13:15 EST
Created attachment 1127688 [details]
File: limits
Comment 8 rickylee_nju 2016-02-16 14:13:17 EST
Created attachment 1127689 [details]
File: maps
Comment 9 rickylee_nju 2016-02-16 14:13:18 EST
Created attachment 1127690 [details]
File: mountinfo
Comment 10 rickylee_nju 2016-02-16 14:13:19 EST
Created attachment 1127691 [details]
File: namespaces
Comment 11 rickylee_nju 2016-02-16 14:13:21 EST
Created attachment 1127692 [details]
File: open_fds
Comment 12 rickylee_nju 2016-02-16 14:13:22 EST
Created attachment 1127693 [details]
File: proc_pid_status
Comment 13 rickylee_nju 2016-02-16 14:13:23 EST
Created attachment 1127694 [details]
File: var_log_messages
Comment 14 Jan Kurik 2016-02-24 10:22:46 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 15 Fedora End Of Life 2017-07-25 16:11:01 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2017-08-08 09:03:51 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.